var _____WB$wombat$assign$function_____=function(name){return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name))||self[name];};if(!self.__WB_pmw){self.__WB_pmw=function(obj){this.__WB_source=obj;return this;}}{
let window = _____WB$wombat$assign$function_____("window");
let self = _____WB$wombat$assign$function_____("self");
let document = _____WB$wombat$assign$function_____("document");
let location = _____WB$wombat$assign$function_____("location");
let top = _____WB$wombat$assign$function_____("top");
let parent = _____WB$wombat$assign$function_____("parent");
let frames = _____WB$wombat$assign$function_____("frames");
let opens = _____WB$wombat$assign$function_____("opens");
//スクロールトップ
$(function () {
	var toTOP = $('#topscroll');
	toTOP.click(function () {
		$('body,html').animate({
			scrollTop: 0
		}, 400);
		return false;
	});
});
//ハンバーガーメニュー＆背景ロック
$('.js-btn-open').on('click', function () {
	$('.header__nav, .header__logo, .header__container-1, .header__container-2, .header__item, .header__info, .header__news, .header__concept, .header__menu, .header__access, .header__contact').removeClass('fix')
	$('.header__nav,html').addClass('open');
	$('.header__nav,html').on('touchmove.noScroll', function (e) {
		e.preventDefault();
	});
})
$('.js-btn-close, .header__list').on('click', function () {
	$('.header__nav, .header__logo, .header__container-1, .header__container-2, .header__item, .header__list, .header__info, .header__news, .header__concept, .header__menu, .header__access, .header__contact').addClass('fix')
	$('.header__nav,html').removeClass('open');
	//$('').off('.noScroll');
})
//横幅調整
$(window).on('load resize', function () {
	var minW = $(window).width();
	var maxW = 750;
	if (minW <= maxW) {
		$('.header__nav').removeClass('open');
		$('.header__list').on('click', function () {
			$('.header__nav').removeClass('open');
		})
	} else {
		//ヘッダーナビ追従
		$(window).on("scroll", function () {
			if ($(this).scrollTop() > 800) {
				$('.header__nav, .header__logo, .header__container-1, .header__container-2, .header__item, .header__list, .header__info, .header__news, .header__concept, .header__menu, .header__access, .header__contact').addClass('fix')
			} else {
				$('.header__nav, .header__logo, .header__container-1, .header__container-2, .header__item, .header__list, .header__info, .header__news, .header__concept, .header__menu, .header__access, .header__contact').removeClass('fix')
			}
		});
	}
});
//各種スクロール
$(function () {
	$('a[href^="#"]').click(function () {
		var headerHeight = 350;
		var speed = 400;
		var href = $(this).attr("href");
		var target = $(href == "#" || href == "" ? 'html' : href);
		var position = target.offset().top - headerHeight;
		$('body,html').animate({
			scrollTop: position
		}, speed, 'swing');
		return false;
	});
});
//フィルタリング fadein
$('#filter-0').on('click', function () {
	$('.menu__item').hide();
	$('.menu__note').hide();
	$('.menu__item').fadeIn(800);
})
$('#filter-1').on('click', function () {
	$('.menu__item').hide();
	$('.menu__note').hide();
	$('.lunch').fadeIn(800);
})
$('#filter-2').on('click', function () {
	$('.menu__item').hide();
	$('.menu__note').hide();
	$('.lunchbox').fadeIn(800);
})
$('#filter-3').on('click', function () {
	$('.menu__item').hide();
	$('.menu__note').hide();
	$('.takeout').fadeIn(800);
})
$('#filter-4').on('click', function () {
	$('.menu__item').hide();
	$('.menu__note').hide();
	$('.dessert').fadeIn(800);
})

}